Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by oibaf View Post
    I updated the package, try in a couple of hour, hopefully it should work (before they were installed in /usr/lib/amd64-linux-gnu/vdpau/).

    Same problem /usr/lib/dri /"only 1 files"

    but, i have only this problem?

    i extract deb and copy the files inside /usr/lib/dri

    :-)
    Last edited by Vincenzov; 10-17-2011, 09:20 AM.

    Comment


    • HI
      I am the only one having this problem?
      I am sorry to make you do extra work.
      Thanks

      Comment


      • Originally posted by Vincenzov View Post
        /media/sda3$ VDPAU_DRIVER=r600 mplayer -vo xvmc prova.mp2
        You are mixing VDPAU and XvMC here, see the instructions at https://launchpad.net/~oibaf/+archive/graphics-drivers/ for how to use it.

        Anyway I now also moved xvmc libs into /usr/lib/dri/ (new builds in a couple of hours). This means that multiarch will not be supported (probably not needed anyway...) but it should be a bit simpler to configure (i.e. i386 conf == amd64 conf == instructions on PPA page).

        Comment


        • Originally posted by oibaf View Post
          You are mixing VDPAU and XvMC here, see the instructions at https://launchpad.net/~oibaf/+archive/graphics-drivers/ for how to use it.

          Anyway I now also moved xvmc libs into /usr/lib/dri/ (new builds in a couple of hours). This means that multiarch will not be supported (probably not needed anyway...) but it should be a bit simpler to configure (i.e. i386 conf == amd64 conf == instructions on PPA page).
          OK perfect (files).

          Comment


          • Originally posted by oibaf View Post
            That's the latest natty kernel, but that bug may be fixed in a later kernel. Try compiling yourself latest 2.6.39.x (there are no newer kernel on http://kernel.ubuntu.com/~kernel-ppa/mainline/ for natty) or try upgrading to Ubuntu 11.10 (ships a 3.0.x kernel).
            I updated to 3.0 and now textures are fine. Speed is bad (caa 1fps) and there are some problems with shading, but it at least work
            I uploaded screenshots, but i had problems with capturing.
            http://imgur.com/a/HxtlE

            (and output http://pastebin.com/qAcrn2Um)
            Any idea about odd shading in images (ignore tearing, it's only in screenshot)?

            btw I opened bug on https://bugs.freedesktop.org/show_bug.cgi?id=41744

            Comment


            • I am only interested in GPU decoding.
              Now i have a problem to compile mplayer from svn.
              I tried to see the files but has problems with ffmpeg12vdpau on the images.
              My pc is ati 785g+ athlon II dualcore 2700 mhz.

              Comment


              • Some news:
                • I pushed updated libdrm, ati, nouveau and intel drivers for oneiric;
                • finally mesa uses -fno-builtin-memcmp by default, so I no longer need to add it in my PPA;
                • there is no more need to specify the env variable VDPAU_DRIVER to use vdpau, just select vdpau in your player (e.g. with mplayer: mplayer -vo vdpau yourvideofile).

                Comment


                • Its clear that you need a vc override too or not? For mpeg2 you need:

                  -vc ffmpeg12vdpau

                  you can add a "," when you put it in .mplayer/config to use the fallback for all other codecs. btw -vo vdpau is the default anyway.

                  Comment


                  • -vo vdpau is indeed the default, good to know.

                    Anyway the point here was that you no longer need to specify the vdpau driver name (see this commit: http://cgit.freedesktop.org/xorg/dri...b76b60be8bdd8e)

                    Comment


                    • Perfect.
                      The video mplayer -vo vdpau -vc ffmpeg12vdpau works good with amd 5450
                      The same video with amd 785 igp works bad :-(

                      example
                      https://bugs.freedesktop.org/attachment.cgi?id=51831
                      same problem
                      Last edited by Vincenzov; 10-21-2011, 07:31 AM.

                      Comment


                      • Multiarch not working with the libtxc-dxtn0? I can only install i386 or amd64 but not both.

                        Btw, there's multiarch packaged wine here: https://launchpad.net/~alexandre-mon...hive/winepulse

                        Comment


                        • all day i see update :-) thanks
                          but


                          mplayer xvmc have problem


                          /media/sda3$ ./mplayer -vo xvmc prova.mp2
                          ./mplayer: Symbol `ff_codec_bmp_tags' has different size in shared object, consider re-linking
                          MPlayer SVN-r33713-4.6.1 (C) 2000-2011 MPlayer Team
                          mplayer: could not connect to socket
                          mplayer: No such file or directory
                          Failed to open LIRC support. You will not be able to use your remote control.

                          Playing prova.mp2.
                          AVI file format detected.
                          [aviheader] Video stream found, -vid 0
                          [aviheader] Audio stream found, -aid 1
                          VIDEO: [] 720x480 24bpp 29.970 fps 6995.1 kbps (853.9 kbyte/s)
                          Clip info:
                          Software: MEncoder SVN-r34173-4.5.2
                          Load subtitles in ./
                          vo_xvmc: X-Video extension 2.2
                          vo_xvmc: X-Video MotionCompensation Extension version 1.1
                          ================================================== ========================
                          Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
                          Selected video codec: [ffmpeg2] vfm: ffmpeg (FFmpeg MPEG-2)
                          ================================================== ========================
                          ================================================== ========================
                          Opening audio decoder: [pcm] Uncompressed PCM audio decoder
                          AUDIO: 48000 Hz, 2 ch, s16le, 1536.0 kbit/100.00% (ratio: 192000->192000)
                          Selected audio codec: [pcm] afm: pcm (Uncompressed PCM)
                          ================================================== ========================
                          AO: [pulse] 48000Hz 2ch s16le (2 bytes per sample)
                          Starting playback...
                          Unsupported PixelFormat 61
                          Unsupported PixelFormat 53
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.
                          vo_xvmc: Found matching surface with id=32315659 on 63 port at 0 adapter
                          Could not find matching colorspace - retrying with -vf scale...
                          Opening video filter: [scale]
                          The selected video_out device is incompatible with this codec.
                          Try appending the scale filter to your filter list,
                          e.g. -vf spp,scale instead of -vf spp.

                          FATAL: Could not initialize video filters (-vf) or video output (-vo).

                          Comment


                          • I compiled mplayer xvmc and now it works.
                            But I read on other forums that there are problems with amd 785 IGP.
                            We hope to resolve.

                            mplayer
                            MPlayer SVN-r34236-4.6.1 (C) 2000-2011 MPlayer Team
                            Uso: mplayer [opzioni] [url|percorso/]nome_file

                            Comment


                            • Is there any plan to Support libtxc-dxtn multiarch? Because currently its not possible to install both the 32bit and 64bit Version.

                              Comment


                              • Originally posted by Nille View Post
                                Is there any plan to Support libtxc-dxtn multiarch? Because currently its not possible to install both the 32bit and 64bit Version.
                                +100 !!

                                This is really needed, as some applications require libtxc-dxtn 32-bit (mainly wine games), and others require the 64-bit version of this library (mostly native games such as the latest humble bundle!). Supporting multi-arch would solve the problem of having to un-install the 32-bit library to use the 64-bit and vice versa.

                                Comment

                                Working...
                                X